{% extends "layout.html" %}
{% block title %}To-Do App{% endblock %}

{% block content %}
  <div class="container">
    <h1 class="my-4">To-Do App</h1>
  </div>

  <form action="" method="post">
    <div class="form-row">
      <div class="col-sm-10 my-1">
        <input type="text" class="form-control" name="TodoItem" id="TodoItemId" placeholder="Enter new todo" required >
        <input type="submit" class="btn btn-primary btn-block" value="Add">
      </div>
    </div>
  </form>

  <div class="container">
    <h2 class="my-5">To Do Items</h2>
  </div>

    <table class="table">
    <thead>
      <tr>
        <th>Task</th>        
        <th>Action</th>
      </tr>
    </thead>
    
    <tbody>
        {% for todoItem in view_model.todo_items %}
          <tr> 
            <td>{{todoItem.name}}</td>             
            <td>
             <form action="/done" method="POST">
              <button type = "submit" name = "submit_button" value = {{todoItem.id}}> Complete</button> 
            </form>
            </td>
          </tr>
        {% endfor %}
    </tbody>
  </table>

  <div class="container">
    <h2 class="my-4">In progress Items</h2>
  </div>

    <table class="table">
    <thead>
      <tr>
        <th>Task</th>        
        <th>Action</th>
      </tr>
    </thead>
    
    <tbody>
        {% for todoItem in view_model.doing_items %}
          <tr> 
            <td>{{todoItem.name}}</td>              
            <td>            
            <form action="/done" method="POST">
              <button type = "submit" name = "submit_button" value = {{todoItem.id}}> Complete</button> 
            </form>
            </td>
          </tr>
        {% endfor %}
    </tbody>
  </table>

  <div class="container">
    <h2 class="my-4">Completed Items</h2>
  </div>

    <table class="table">
    <thead>
      <tr>
        <th>Task</th>        
      </tr>
    </thead>
    
    <tbody>
        {% for todoItem in view_model.done_items %}
          <tr> 
            <td>{{todoItem.name}}</td>             
          </tr>
        {% endfor %}
    </tbody>
  </table>

{% endblock %}
